Bug 523205 - logrotate should not mail every week about funcd restart
Summary: logrotate should not mail every week about funcd restart
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: func
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-14 13:31 UTC by Ludwin Janvier
Modified: 2014-01-21 23:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 14:23:06 UTC


Attachments (Terms of Use)

Description Ludwin Janvier 2009-09-14 13:31:09 UTC
Description of problem:
On a fresh fedora 11, installing func will make your mailbox receiving every week some mail like :

From - Fri Sep 11 09:41:47 2009
X-Account-Key: account3        
X-UIDL: 00003d374a716d4f
X-Mozilla-Status: 0001
X-Mozilla-Status2: 00000000
X-Mozilla-Keys:
Return-Path: <root@mydomain.org>
Received: from ucb09018 (a02-19.mydomain.org [10.189.251.82])
        by localhost.localdomain (8.14.3/8.14.3) with SMTP id n8B7c5ws003594
        for <root@mydomain.org>; Fri, 11 Sep 2009 09:38:05 +0200
Message-Id: <200909110738.n8B7c5ws003594@localhost.localdomain>
Received: by ucb09018 (sSMTP sendmail emulation); Fri, 11 Sep 2009 09:38:04 +0200
From: "root" <root@mydomain.org>
Date: Fri, 11 Sep 2009 09:38:04 +0200
To: root@localhost.localdomain
Content-Type: text/plain; charset="ANSI_X3.4-1968"
Subject: Anacron job 'cron.daily' on ucb09018

/etc/cron.daily/logrotate:

Stopping func daemon:
Starting func daemon

EOF

Since I have a cloud of PCs with func, my mailbox is receiving  dozen mails like this every day.


Version-Release number of selected component (if applicable):
Nom           : func
Architecture  : noarch
Version       : 0.24
Révision      : 6.fc11
Taille        : 1.2 M
Dépôt         : installed

How reproducible:
always

Steps to Reproduce:
1. yum install func
2. service func start
3. wait for a week at least
4. mutt
  
Actual results:
you got a mail


Expected results:
no mail

Additional info:
the only with to modify is in /etc/logrotate.d/func_rotate, line 8 :
/etc/init.d/funcd condrestart > /dev/null

Comment 2 Bug Zapper 2010-04-28 10:21:49 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2011-06-02 17:44:59 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2011-06-27 14:23:06 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.